> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List pipelines

> Returns pipelines for the authenticated company, optionally filtered by environment.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /pipelines
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /pipelines:
    get:
      tags:
        - Pipelines
      summary: List pipelines
      description: >-
        Returns pipelines for the authenticated company, optionally filtered by
        environment.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponseBodyLightPipeline'
          description: OK
        '500':
          description: Internal Server Error
components:
  schemas:
    ListResponseBodyLightPipeline:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PayloadsLightPipeline'
          type: array
      required:
        - items
      type: object
    PayloadsLightPipeline:
      properties:
        columnHashingSaltUUID:
          format: uuid
          nullable: true
          type: string
        companyUUID:
          format: uuid
          type: string
        createdAt:
          format: date-time
          type: string
        dataPlaneName:
          type: string
        destinationUUID:
          format: uuid
          nullable: true
          type: string
        encryptionKeyUUID:
          format: uuid
          nullable: true
          type: string
        environmentUUID:
          format: uuid
          type: string
        hasUndeployedChanges:
          type: boolean
        isDeploying:
          type: boolean
        lastDeployedAt:
          format: date-time
          nullable: true
          type: string
        lastUpdatedAt:
          format: date-time
          type: string
        name:
          type: string
        snowflakeEcoScheduleUUID:
          format: uuid
          nullable: true
          type: string
        sourceReaderUUID:
          format: uuid
          type: string
        sourceType:
          $ref: '#/components/schemas/EnumsConnectorSlug'
        status:
          $ref: '#/components/schemas/EnumsPipelineStatus'
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - companyUUID
        - dataPlaneName
        - environmentUUID
        - name
        - createdAt
        - lastUpdatedAt
        - isDeploying
        - sourceType
        - hasUndeployedChanges
      type: object
    EnumsConnectorSlug:
      enum:
        - api
        - bigquery
        - clickhouse
        - cockroach
        - databricks
        - documentdb
        - dynamodb
        - gcs
        - iceberg
        - keyspaces
        - mongodb
        - motherduck
        - mssql
        - mysql
        - oracle
        - postgresql
        - redis
        - redshift
        - s3
        - snowflake
      type: string
    EnumsPipelineStatus:
      enum:
        - draft
        - paused
        - transfer paused
        - running
      type: string
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````